package de.privacynerd.chatbeautifier.displaynamecolor;

import de.privacynerd.chatbeautifier.ChatBeautifier;
import net.kyori.adventure.text.format.NamedTextColor;
import net.kyori.adventure.text.format.TextColor;
import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;
import org.jetbrains.annotations.NotNull;

import java.util.ArrayList;


// Class containing functions returning arrays for gui creation

public final class ChatColorUtils {
    public static @NotNull ArrayList<ItemStack> getChooseColorItems() {
        ArrayList<ItemStack> chooseColors = new ArrayList<>();
        chooseColors.add(new ItemStack(Material.BLACK_WOOL));
        chooseColors.add(new ItemStack(Material.GRAY_WOOL));
        chooseColors.add(new ItemStack(Material.LIGHT_GRAY_WOOL));
        chooseColors.add(new ItemStack(Material.WHITE_WOOL));
        chooseColors.add(new ItemStack(Material.BROWN_WOOL));
        chooseColors.add(new ItemStack(Material.RED_WOOL));
        chooseColors.add(new ItemStack(Material.ORANGE_WOOL));
        chooseColors.add(new ItemStack(Material.YELLOW_WOOL));
        chooseColors.add(new ItemStack(Material.LIME_WOOL));
        chooseColors.add(new ItemStack(Material.GREEN_WOOL));
        chooseColors.add(new ItemStack(Material.CYAN_WOOL));
        chooseColors.add(new ItemStack(Material.BLUE_WOOL));
        chooseColors.add(new ItemStack(Material.PURPLE_WOOL));
        chooseColors.add(new ItemStack(Material.MAGENTA_WOOL));
        chooseColors.add(new ItemStack(Material.PINK_WOOL));
        return chooseColors;
    }
    public static @NotNull ArrayList<String> getChooseColorStrings() {
        ArrayList<String> chooseColorNames = new ArrayList<>();
        chooseColorNames.add("Black");
        chooseColorNames.add("Gray");
        chooseColorNames.add("Light gray");
        chooseColorNames.add("White");
        chooseColorNames.add("Brown");
        chooseColorNames.add("Red");
        chooseColorNames.add("Orange");
        chooseColorNames.add("Yellow");
        chooseColorNames.add("Light green");
        chooseColorNames.add("Dark green");
        chooseColorNames.add("Cyan");
        chooseColorNames.add("Blue");
        chooseColorNames.add("Purple");
        chooseColorNames.add("Magenta");
        chooseColorNames.add("Pink");
        return chooseColorNames;
    }
    public static @NotNull ArrayList<TextColor> getChooseColorCodes() {
        ArrayList<TextColor> getChooseColorCodes = new ArrayList<>();

        getChooseColorCodes.add(NamedTextColor.BLACK);
        getChooseColorCodes.add(NamedTextColor.DARK_GRAY);
        getChooseColorCodes.add(NamedTextColor.GRAY);
        getChooseColorCodes.add(NamedTextColor.WHITE);
        getChooseColorCodes.add(TextColor.color(135, 72, 0));
        getChooseColorCodes.add(TextColor.color(255, 0, 0));
        getChooseColorCodes.add(TextColor.color(255, 112, 0));
        getChooseColorCodes.add(NamedTextColor.YELLOW);
        getChooseColorCodes.add(TextColor.color(103, 255, 0));
        getChooseColorCodes.add(TextColor.color(38, 157, 0));
        getChooseColorCodes.add(TextColor.color(0, 252, 255));
        getChooseColorCodes.add(TextColor.color(0, 92, 255));
        getChooseColorCodes.add(TextColor.color(157, 0, 255));
        getChooseColorCodes.add(TextColor.color(255, 0, 179));
        getChooseColorCodes.add(TextColor.color(255, 87, 228));

        return getChooseColorCodes;
    }
}
