package de.privacynerd.chatbeautifier.utils;

import org.bukkit.configuration.InvalidConfigurationException;
import org.bukkit.configuration.file.YamlConfiguration;
import java.io.IOException;

public class FileConfig extends YamlConfiguration {
    private final String path;

    public FileConfig(String folder, String filename) {
        this.path = "plugins/ChatBeautifier/" + folder + "/" + filename;

        try {
            load(this.path);
        } catch (InvalidConfigurationException | IOException ex) {
            ex.printStackTrace();
        }
    }

    public FileConfig(String filename) {
        this(".", filename);
    }

    public void saveConfig() {
        try {
            save(this.path);
        } catch (IOException ex){
            ex.printStackTrace();
        }
    }

}
