package de.privacynerd.chatbeautifier;

import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.Bukkit;
import org.bukkit.Server;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerChatEvent;

public class ChatListener implements Listener {
    @EventHandler
    public void onMessageSent(PlayerChatEvent event) {
        Player player = event.getPlayer();

        event.setCancelled(true);

        Server server = Bukkit.getServer();

        Component message = player.displayName().append(Component.text(": " + event.getMessage(), NamedTextColor.WHITE));
        if(player.isOp()) {
            message = player.displayName().append(Component.text(": " + event.getMessage(), NamedTextColor.YELLOW));
        }
        server.broadcast(message);
    }
}