package de.privacynerd.chatbeautifier.displaynamecolor;

import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryClickEvent;

public class ChooseChatColorListener implements Listener {
    @EventHandler
    public void onClickOnItem(InventoryClickEvent event) {
        Player player = (Player) event.getWhoClicked();

        if (event.getView().title().equals(Component.text("Set chat color (0x01)", NamedTextColor.DARK_GRAY))) {
            switch (event.getCurrentItem().getType()) {
                case BLACK_WOOL:
                    player.performCommand("scc black");
                    break;
                case GRAY_WOOL:
                    player.performCommand("scc gray");
                    break;
                case LIGHT_GRAY_WOOL:
                    player.performCommand("scc light-gray");
                    break;
                case WHITE_WOOL:
                    player.performCommand("scc white");
                    break;
                case BROWN_WOOL:
                    player.performCommand("scc brown");
                    break;
                case RED_WOOL:
                    player.performCommand("scc red");
                    break;
                case ORANGE_WOOL:
                    player.performCommand("scc orange");
                    break;
                case YELLOW_WOOL:
                    player.performCommand("scc yellow");
                    break;
                case LIME_WOOL:
                    player.performCommand("scc light-green");
                    break;
                case GREEN_WOOL:
                    player.performCommand("scc dark-green");
                    break;
                case CYAN_WOOL:
                    player.performCommand("scc cyan");
                    break;
                case BLUE_WOOL:
                    player.performCommand("scc blue");
                    break;
                case PURPLE_WOOL:
                    player.performCommand("scc purple");
                    break;
                case MAGENTA_WOOL:
                    player.performCommand("scc magenta");
                    break;
                case PINK_WOOL:
                    player.performCommand("scc pink");
                    break;
                default:
                    event.setCancelled(true);
                    return;
            }

            player.openInventory(new ChooseChatColorGUI().getGUI(player));
            event.setCancelled(true);
        }
    }
}
